Sun, 6 Apr 2003 06:30:49  Hiroo Ono <hiroo oikumene.gcd.org>
	* Wnn/uum/jhlp.c: Change err() to uum_err().
	  Avoid overriding err() in libc.
	* Wnn/uum/sheader.h: ditto.
	* Wnn/jserver/bnsetu_kai.c:
	  Convert "struct kangovect" to typedef'ed "word_vertor".
	* Wnn/jserver/ddefine.h:
	  Remove commented out code and "kangovect" definition.
	* Wnn/jserver/fzk.c:
	  Convert "struct kangovect" to typedef'ed "word_vertor".
	  Make function prototypes and definition ISO C style.
	  Get rid of the keyword "register".
	  Convert error1() to log_err().
	  Remove commented out code.
	  Zero clear malloc'ed areas using bzero() or calloc(). It will
	  make jserver work again.
	* Wnn/jserver/fzk.h: typedef word_vector and fzkvect.
	  include ddefine.h.

Mon, 30 Dec 2002 00:03:24  Hiroo Ono <hiroo oikumene.gcd.org>
        * PubdicPlus/pubdic.p
	  Fixed the word "torawareru".
          (reported by Mr.Hironori Fujii <fujii chi.its.hiroshima-cu.ac.jp>)

Fri,  8 Nov 2002 09:15:07  Katsuomi Hamajima <hamajima nagoya.ydc.co.jp>
        * Wnn/jserver/de_header.h:
	  Fix compile error by defining UCHAR.

Tue, 12 Nov 2002 10:25:02  Tomoki Aono <aono cc.osaka-kyoiku.ac.jp>
        * Wnn/etc/revdic.c:
	  Fix bug on revdic against WNN_UD_DICT.
	  atod -U creates wrong dictionary (and even crashes) on little-endian
	  architecture.
          (reported by Mr.Kamei <zic-fw ontime.venus.to> in [freewnn:00903]>)
        * Wnn/jutil/atod.c:
	  Add -U explanation in the usage.

Sat Sep 07 11:33:53 UTC 2002  Hiroo Ono <hiroo oikumene.gcd.org>
        * Contrib/dic/gerodic/g-jinmei.u:
          PubdicPlus/pubdic.p:
	  Fix the word "hitachi" and "jouban".

Sun Sep 01 17:48:26 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* configure.in: added check for FD_SET() and AC_HEADER_TIME.
	* configure:
	  config.h.in: regenerate.
	* Wnn/jserver/initjserv.c:
	  small style fix.
	* Wnn/jserver/de.c:
	  Change prototypes to C89 style, modify error message.
	  Use the type fd_set and functions FD_* for select(2) parameters.
	* Wnn/jserver/de_header.h:
	  Change some prototypes to C89 format.
	  Change struct wnn_file->area type to void*.
	* Wnn/jserver/renbn_kai.c:
	  Change prototypes to C89 style,
	  error1 -> log_err/log_debug conversion.
	* Wnn/jserver/readfile.c:
	  Change prototypes to C89 style,
	  error1 -> log_err/log_debug conversion.

Mon Aug 26 09:27:23 UTC 2002  Tomoki Aono <aono@cc.osaka-kyoiku.ac.jp>
	* Wnn/uum/jhlp.c:
	  #include <errno.h> instead of <sys/errno.h>.

Sat Aug 24 18:11:53 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* Wnn/jserver/de.c:
	  Change prototypes to C89 style.
	  Remove commented out function.

Fri Aug 16 17:30:29 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* Wnn/jserver/b_index.c:
	  Change prototypes to C89 style.
	  error1 -> log_err/debug conversion.

Thu Aug 15 10:31:04 UTC 2002  Tomoki Aono <aono@cc.osaka-kyoiku.ac.jp>
	* Wnn/jserver/de.c:
	  Clear user_name and host_name of deleted client struct
	 to display username correctly in log_debug()/log_error().
	  Possible typo fix for IBM compilers (CLINET -> CLIENT).

Mon Aug 12 16:25:48 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* jserver/de_header.h:
	  Permit double inclusion.
	  Add option_flag variable.
	* jserver/ddefine.h:
	  jserver/fzk.h:
	  jserver/kaiseki.h:
	   Permit double inclusion.
	* jserver/de.c:
	  Include <sys/time.h>
	  Change DOFORK macro to option_flag variable.
	  error1() -> log_debug() change.
	* jserver/de_vars.c:
	  Add option_flag variable.
	* jserver/do_filecom.c:
	  Remove fopen() prototype.
	* jserver/error.c:
	  Avoid printing garbage when c_c->user_name has invalid value.
	* jserver/initjserv.c:
	  Rearrange prototypes.
	  Change read_default() implementation to a little more sofisticated
	  way using strtok(). (at least I do think so).
	  Add debug messages to read_default().
	  Change read_default_files() buffer size to EXPAND_PATH_LENGTH+1.
	  Remove commented out function.

Sun Jul 14 04:19:54 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* PubdicPlus/fzk.con:
	  PubdicPlus/fzk.fzkattr:
	  PubdicPlus/fzk.shuutan:
	  Comment out identifier trailing to #endif.
	* Wnn/jserver/de_header.h:
	  Change the prototypes of functions defined in intjserv.c
	  in C89 style.
	* Wnn/jserver/initjserv.c:
	  Replace change_ascii_to_int() to atoi() in standard library.
	  Corrected the parameter for atoi() in get_bcksla().
	* Wnn/jutil/atod.c:
	  Wnn/jutil/atof.c:
	  Wnn/jutil/oldatonewa.c:
	  Wnn/jutil/ujisf.c:
	  Wnn/jutil/wnntouch.c:
	  Wnn/jserver/do_filecom.c:
	  Wnn/jserver/error.c:
	  Wnn/jserver/sisheng.c:
	  Wnn/jlib.V3/jlv3.c:
	  Wnn/etc/dic_atojis.c:
	  Wnn/etc/msg.c:
	  Wnn/etc/sstrings.c:
	  PubdicPlus/pod.c:     Include string(s).h. 

Sat Jun 22 17:58:58 UTC 2002  Tomoki Aono <aono@cc.osaka-kyoiku.ac.jp>
	* Wnn/manual/4.cmd/jserver:
	  Wnn/man/4.cmd/jserver.man:
	  Added description about jserver -v option.

Sat Jun 22 13:26:22 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* CONTRIBUTORS:
	  List the contributors for pubdic+ enhancement (from wnn-users).
	  Added Mr.Ishida for the fix in Wnn/jserver/de.c [freewnn:00383].
	* acconfig.h:
	  Remove HAVE_RAND_MAX, which is superfluous.
	* configure.in:
	  Remove HAVE_RAND_MAX, which is superfluous.
	  check `random()'.
	* configure, config.h.in: Regenerate.
	* Wnn/jserver/de.c:
	  Buffer overflow fix. (by Mr.Ishida, [freewnn:00383]).
	  Use SDRAND defined in wnn_os.h.
	* Wnn/jserver/do_henkan1.c:
	  Remove needless NULL macro.
	* Wnn/jserver/do_hindo_s.c:
	  Remove RAND() macro and use DRAND() defined in wnn_os.h.
	* Wnn/jserver/error.c:
	  Comment out errono printing.
	* Wnn/etc/bdic.c:
	  Replace index to strchr (OS dependency is dealt in wnn_os.h).
	* Wnn/include/wnn_os.h:
	  Anternate strchr/strrchr/bcopy if they are not found.
	  Select pseudo-random number generation method.
	  standard rand() is too bad and BSD decendants seem to have random().
	* Wnn/jlib/jl.c:
	  Use RAND() defined in wnn_os.h.
	* Wnn/jlib.V3/jlv3.c:
	  Remove bzero macro. it is defined in wnn_os.h if needed.
	* Xwnmo/xjutil/jutil.c:
	  Include appropriate headers.
	* Wnn/uum/Makefile.in:
	  Remove the macro SIGNAL_DEFINES which is not used.
	* Wnn/uum/jhlp.c:
	  Remove OS dependency check for strchr/index. It is in wnn_os.h now.
	* Wnn/uum/screen.c:
	  Remove OS dependency check for strchr/index. It is in wnn_os.h now.
	* Wnn/uum/setutmp.c:
	  Replace rindex to strrchr (OS dependency is dealt in wnn_os.h).
	  Include sdefine.h, sheader.h, and remove prototypes.
	* Wnn/uum/sheader.h:
	  Add prototype for ttyfdslot() in ttyfdslot.c.
	* Wnn/uum/ttyfdslot.c:
	  Include appropriate headers and remove prototypes.
	* Wnn/uum/uif.c:
	  Remove OS dependency check for strchr/index. It is in wnn_os.h now.
	* Wnn/uum/wnnrc_op.c:
	  Remove prototype for system library function.

Fri Jun 21 19:39:47 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* Wnn/include/wnn_malloc.h: Removed.

Mon Jun 17 17:28:54 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* configure.in:
	  Passes autoconf 2.13 again. (cf.[freewnn:00872])
	  Look for getopt().
	* config.h.in:
	  configure: Regenerate by GNU Autoconf 2.53.
	* Wnn/include/wnn_os.h:
	  Add #endif forgotten in rev.1.10 (cf.[freewnn:00874]).
	* Wnn/jlib/getopt.c:
	  Enable only when the system do not have getopt()(cf.[freewnn:00874]).

Sat Jun 15 13:11:45 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* acconfig.h:
	  Added RETSIGTYPE_VOID hack taken from EB Library
	  <URI:http://www.sra.co.jp/people/m-kasahr/eb/>.
	* configure.in:
	  Removed -DCSRG_BASED for CCOPTIONS of *BSD.
	  Aggregated AC_CHECK_HEADERS and AC_CHECK_FUNCS parameter
	  to reduce the size of configure a little.
	  Cosmetic change in AC_CHECK_TYPES usage.
	  Added RETSIGTYPE_VOID hack taken from EB Library.
	  Suppress Makefile generation for each language when
	  they are disabled.
	  Add getdtablesize() check.
	* config.h.in, configure: regenerate. (GNU Autoconf 2.53)
	* Wnn/include/wnn_os.h:
	  bzero/memset, strchr/index strrchr/rindex glue.
	  SIGNALRETURNSINT replaced by RETSIGTYPE and RETSIGTYPE_VOID.
	  Newly define WNN_NFD for temporal file descriptor number hack.
	* Wnn/jlib/getopt.c, jl.c, js.c,
	  Wnn/jserver/initjserv.c,
	  Wnn/romkan/rk_header.h:
	  Include config.h and wnn_os.h if not, and get rid of BSD42 macro.
	* Wnn/jserver/de.c:
	  Use WNN_NFD for temporal file descriptor number hack.
	* Wnn/jserver/de_header.h, error.c,
	  Wnn/uum/jhlp.c:
	  Replace to RETSIGTYPE and RETSIGTYPE_VOID.
	  Use WNN_NFD for temporal file descriptor number hack.
	* Wnn/uum/sheader.h:
	  A trivial change in comment.
	* Wnn/uum/wnnrc_op.c:
	  Get rid of BSD42 macro.

Fri Jun 14 19:39:30 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* Makefile.in: use $(RM) for remove command.

Thu Jun 13 21:27:51 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* FreeWnn/Wnn/uum/jhlp.c, termio.c:
	  Change own setenv() definition to not to print out error message
	  and getting one more parameter for compatibility.
	  Print out setenv() error message at the caller side.
	* FreeWnn/Wnn/uum/termcap.c: curses header inclusion.
	* FreeWnn/Wnn/uum/sheader.h: cleanup.

Mon Jun 10 22:15:23 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* PubdicPlus/pod.c: Include config.h.

Sun Jun 09 11:08:41 UTC 2002  Hiroaki Abe <h-abe@pc.highway.ne.jp>
	* FreeWnn/configure.in:
	  Add libbind.so check for BeOS R5.1.

Mon May 27 16:33:52 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* Wnn/pubdicplus/Makefile.in:
	  Put $(TOP) to include path so that <config.h> can be included.

Sat May 25 11:24:47 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* FreeWnn/PubdicPlus/ fzk.con, fzk.attr, fzk.jircon:
	  Enhancement for verb ([wnn-users 973],[wnn-users 975] Y.Katayama).
	  Enhancement for prefix ([wnn-users 978] Fe2+(T.Matsui)).

Sat May 25 05:57:43 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* Wnn/jserver/ MALLOC.c, malloc.c: Remove malloc() wrapper.

Sun May 12 22:51:18 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* Wnn/conv/cvt_key.c: Remove qualifier register.
	* Wnn/uum/setutmp.c:
	  Correct the parameter of setenv().
	  Include necessary system headers.
	* kWnn/jserver/Makefile.in, kWnn/include/Makefile.in,
	  cWnn/jserver/Makefile.in, cWnn/include/Makefile.in,
	  Wnn/jserver/Makefile.in:
	  Remove wnn_malloc.h and malloc.c
	* Wnn/etc/ msg.c, vasprintf.c,
	  Wnn/jlib/ jl.c, js.c, kankana.c,
	  Wnn/jlib.V3/jlv3.c,
	  Wnn/jserver/ b_index.c, daibun_kai.c, de.c, dispatch.c,
		  do_env.c, error.c, fzk.c, get_kaiarea.c,
		  hinsi_list.c,initjserv.c, jikouho.c, jikouho_d.c,
		  mknode0.c, mknode1.c, mknode2.c, readfile.c,
	  Wnn/jutil/ atod.c, atorev.c, dtoa.c, ujisf.c, wddel.c,
		  wdreg.c, wnnstat.c,
	  Wnn/uum/ basic_op.c, history.c, prologue.c, screen.c,
		  termcap.c, uif.c, wnnrc_op.c:
	  Include stdlib.h (or malloc.h) for malloc() family.
	  Remove prototype for malloc().
	  Include some other system headers.
	* Wnn/uum/sheader.h: Remove unnecessary prototypes.
	* Makefile.in: Add removal of autoconf 2.53 generated
		files in distclean.

Sun May 12 01:01:47 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* CONTRIBUTEORS: update
	* configure.in, configure, config.h.in:
	  Check for bcopy/bzero/bcmp.
	* Wnn/etc/bcopy.c:
	  Check for bcopy/bzero/bcmp.
	  Remove qualifier register.

Sat May 11 13:03:37 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* INSTALL INSTALL.en: Update.

Tue May 07 22:26:30 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* Wnn/etc/msg.c:
	  Corrected _search(). ([freewnn:00847] by K.Wada)

Sun May 05 05:13:10 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* Wnn/include/commonhd.h:
	  Updated _SERVER_VERSION to pl20.
	  Removed unistd.h inclusion.

Sat May 04 17:15:24 UTC 2002  Tomoki AONO <aono@cc.osaka-kyoiku.ac.jp> 
	* Wnn/manual/4.cmd/jserver man/4.cmd/jserver.man:
	  Update.

Thu May 02 15:18:55 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* Wnn/jserver/do_hindo_s.c:
	  Corrected inclusion of stdlib.h.

Wed May 01 21:05:10 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* configure.in config.h.in configure:
	  Added checking for syslog(), syslog.h and setenv() that are not
	  in C89 or POSIX 1,2.
	* */jserver/Makefile.in:
	  Removed JS_SUPPORTLIB. We do not use syslog()/libbe in the BeOS.
	* Wnn/jserver/error.c:
	  Skip syslog() when it is not found.
	* Wnn/uum/jhlp.c sheader.h:
	  Use system's setenv() function. As it is not in C89 or POSIX 1,2
	  standards, use our own definition when it is not found.
	  However, it should be rewritten to meet other specification, and
	  it assumes environment variables are in the variable char **environ.

Tue Apr 02 04:16:21 UTC 2002  Tomoki AONO <aono@cc.osaka-kyoiku.ac.jp>
	* Wnn/jserver/de.c: include fcntl.h.
	* Wnn/conv/cvt_read.c: Change include point of cvt_head.h.

Sun Mar 31 11:30:23 UTC 2002  Hiroaki Abe <h-abe@pc.highway.ne.jp>
	* Wnn/include/commonhd.h:
	  Remoke unitsd.h inclusion for BeOS.
	* */jserver/Makefile.in configure.in configure:
	  BeOS requires to link libbe.so when using syslog function.
	  Add JS_SUPPORTLIBS to set libraries when building [jckt]server.

Sun Mar 31 06:26:54 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* Wnn/jserver/de.c de_header.h:
	  Changed the value of cmd_name[] from argv[0] to "[cjkt]server".
	  Style and error message fix.

Sat Mar 30 13:44:22 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* Wnn/romkan/rk_modread.c: Include stdlib.h

Sat Mar 30 09:34:48 UTC 2002  Tomoki AONO <aono@cc.osaka-kyoiku.ac.jp>
	* (Wnn/cWnn/kWnn)/romkan/Makefile.in:
	  Added -I$(TOP) to INCLUDES.
	  Removed LIB_MT_DEFINES. It is not used anywhere.
	  Preliminary change for enabling build when builddir != srcdir.

Sat Mar 30 02:35:22 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* Wnn/etc/yincoding.c: Style fix.
	* files below Wnn/:
	  Added header files (string.h/strings.h unistd.h and so on) inclusion
	  according to STDC_HEADERS and HAVE_*_H.
	  Add config.h inclusion if necessary.
	* configure.in config.h.in configure:
	  Remove limits.h check. We see STDC_HEADERS.
	  Add memory.h check for future bcopy/index -> memmove/strchr change.

Sat Mar 23 21:18:32 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	files under Wnn directory:
	* See STDC_HEADERS for stdlib.h and string.h.
	* Include strings.h if no STDC_HEADERS and it exists.
	* Include config.h if necessary.

Thu Mar 21 06:59:22 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* configure.in: Removed unecessary comments.
	* cvt_head.h: Removed commented out codes.
	* cvt_read.c, bdic.c, yincoding.c:
	    get rid of BSD42 and SYSVR2 macros and add check by configure.
	* config.h.in, configure.in, configure:
	    add fchmod() check.

Sun Mar 10 10:43:47 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
	* pubdic.p: Fixed typo. ([freewnn:00812] by Fe2+)

Sat Mar  9 16:50:34 UTC 2002  Tomoki AONO <aono@cc.osaka-kyoiku.ac.jp>
	* Makefile.in config.h.in configure configure.in
	  Wnn/etc/gethinsi.c Wnn/jserver/Makefile.in
	  cWnn/jserver/Makefile.in cWnn/include/Makefile.in
	  kWnn/jserver/Makefile.in kWnn/include/Makefile.in :
	 + Wnn/etc/vasprintf.c and Wnn/etc/mkdir.c are compiled on platforms
	   which do not have equivalent functions.
	  (emulating the AC_REPLACE_FUNCS macro by ourself).
	 + If the configure option `--disable-cWnn' is specified, disable
	  Makefile creation under cWnn directory.
	  Note: It is an experimental feature and it should also be done
	        for Wnn and kWnn.

	* Wnn/jserver/  de_header.h dispatch.c error.c :
	    error.c related changes . (cf. [freewnn:00772])
         + Eliminate error1() and create new functions which takes variable
	   arguments  log_err() and log_debug().
	   error1() is defined to be log_debug().
	 + If -s option of jserver is not specified (noisy == 0), prints
	   log messages to syslog.
	 + vwrite_log(), called from log{err,debug}(), puts log message in
	   one line (i.e. it does not add extra new lines).
	   Usually, at least 3 lines was printed.

Fri Mar  8 20:07:13 2002  Hiroo Ono <hiroo@oikumene.gcd.org>     
	* Include system headers which contains the function prototype used.
	* Wnn/etc/wnn_os.h: Put the prototypes for functions defined in
	  Wnn/etc.
        * Wnn/etc/msg.c: removed bsearch() implimentation.

Fri Mar  8 08:36:04 UTC 2002  Tomoki AONO <aono@cc.osaka-kyoiku.ac.jp>
        * Wnn/jserver/de.c
	  Open log (script) file in append mode.
	  Delete duplicated signal handler setting in daemon_init().

Tue Mar  5 09:23:50 UTC 2002  Tomoki AONO <aono@cc.osaka-kyoiku.ac.jp>
	* Imported vasprintf.c and ansidecl.h from libiberty (bundled with
	  gcc-3.0.4). Needed for error.c rewrite.
	  Change from original version:
	    vasprintf.c does not #include <libiberty.h>. 

Mon Mar  4 04:01:55 UTC 2002  Tomoki AONO <aono@cc.osaka-kyoiku.ac.jp>
	* Wnn/man/4.cmd/jserver/man
	  Fixed option-description formatting for jserver. [freewnn:00759]

Sun Mar  3 14:06:32 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
        * Wnn/include/wnn_os.h et al.
	  Removed P_ macro for K&R C.

Sun Mar  3 12:53:58 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
        * configure.in: Applied fix from [freewnn:00764] (T.Aono).

Sat Mar  2 11:19:21 UTC 2002  Hiroo Ono <hiroo@oikumene.gcd.org>
        * Fixed typo in the manual of wddel ([freewnn:00797] T.Matui).

Mon Sep 24 08:25:28 UTC 2001  Hiroo Ono <hiroo@oikumene.gcd.org>
        * Fix for configure.in and Makefile.in ([freewnn:00753] by T.Aono).

Sun Sep 16 11:10:20 UTC 2001  Hiroo Ono <hiroo@oikumene.gcd.org>
        * Added --enable-debug option to the configure script.
	  it adds -g2 option to CDEBUGFLAGS if CC is GCC, and remove
          -s from INSTPGMFLAGS not to strip the executable.
          An update to the configure.in script for CC other than GCC is
	  welcome.

Sat Sep 15 17:29:15 UTC 2001  Hiroo Ono <hiroo@oikumene.gcd.org>
	* Put workaround for remote vulnerability that allow to create 
	  a file in an arbitrary path.
	  ([freewnn:00699] by Mr.Ukai via Mr. M.Ishikawa).
	  As it breaks the traditional feature (the problem itself!) of
	  FreeWnn, this workaround can be turned off in the configure
	  script. But if you want to do so, you should at least forbid
	  accesses from unexpected hosts using ipfilter or its equivalent.
	  More secure solutions like adding tcp_wrappers feature and
	  some kind of authentication are needed, but as the problem came
	  from the design of KKTP itself, we should be careful what
	  solution we will take. Due to the poor manpower, this will take
	  time.
	* Added P_ macro in wnn_os.h to support ISO C (and current K&R
	  style) in the future.
	  I am planning to change prototypes to be written with the macro.
	  (it may be backed out though).
	* Uum support again ([freewnn:00676] by Mr. K.Iijima).
	  There is no cuum, kuum, tuum support yet, but there will be.
	* Fix IPv6 feature.
	  Set the permission of Unix domain socket to 0766
	  Set the variable cmd_name to argv[0].
	  ([freewnn:00716],[freewnn:00732] by K. Hamajima).
	* Do not ignore "cmd_name:" in error1() of Wnn/jserver/error.c
	  ([freewnn:00730] by T.Aono)
	* Modified INSTALL.en

Tue Aug 14 11:12:34 UTC 2001 Hiroo Ono <hiroo@oikumene.gcd.org>
	* CPP + IPv6 path ([freewnn:00673] Katsuomi Hamajima)
	* fix to configure.in for beos ([freewnn:00677] Hiroaki Abe)
	* libtoolized by libtool-1.4 and aclocal.

Sun Jun 17 15:00:08 UTC 2001
	* Added some manpages in English.([freewnn:00542] Francis Bond)
	  atod.man, atof.man, dtoa.man
	  They are not installed for the instant.
	* Added -v option to jserver ([freewnn:00581] Y.Yabuki)
	* Corrected jserver usage. ([freewnn:00606] Francis Bond)

Sat Jun  2 00:27:56 JST 2001 Hiroo Ono <hiroo@oikumene.gcd.org>
	* config.h.in, configure.in, */*/Makefile.in,
	  and some other *.h and *.c files:
	  check if sys/param.h exists.
	  include config.h for this.
	  fixed INCLUDES line of Makefile.in for this.
	  modified #if statements related to macro NOFILE. (should be revised).
	* Wnn/man/6.jutil/atod.man: changed some alphabet characters.
	* removed some comments for emacs (NEmacs?) editor.

Wed May 30 00:09:15 JST 2001 Hiroo Ono <hiroo@oikumene.gcd.org>
	* Wnn/manual/3.libwnn/*,
	  Wnn/manual/7.Protocol/KKTP:
	  fix document typo ([[freewnn:00581] by Youichi Yabuki)
	  The documents in English should also be fixed, but...

Sun May 27 12:55:45 JST 2001 Hiroo Ono <hiroo@oikumene.gcd.org>
	* Makefile.in: remove libtool in distclean
	* Wnn/include/wnn_os.h: remove HAVE_WAIT3 (it is now in configure.in)
	* configure.in: temporary fix for CPP ([freewnn:00578] H.Abe)
	  CPP=`$CC -print-prog-name=cpp` on BePC, FreeBSD, Linux

Sun May 20 18:09:02 JST 2001 Hiroo Ono <hiroo@oikumene.gcd.org>

	* makerule.mk.in: pass -DHAVE_CONFIG_H to $(CC)
	* PubdicPlus/fzk.con: fix previous patch ([freewnn:00576] by Keiki Sunagawa).
	* include <sys/param.h> before Wnn/include/msg.h .
	* Wnn/jd/wnnenvrc_R.omr: add gerodic ([freewnn:00346] by Fuminori Uematsu).
	* Wnn/jlib/js.c: include config.h ([freewnn:00392] by Hiroaki Abe)

Sat May 19 18:20:25 JST 2001 Hiroo Ono <hiroo@oikumene.gcd.org>

	* PubdicPlus/fzk.con patch ([freewnn:00547] by Keiki Sunagawa)
	* PubdicPlus/pubdic.p fix ([freewnn:00424] by Tetsuo Tsukamoto)

	* Add target distclean to Makefile.in ([freewnn:00380] by Nobuyuki Hikichi)
 	* Wnn/include/msg.h: fix the constraint for path name length.
 	* Wnn/etc/msg.c: likewise.
 	* Wnn/jlib/js.c: add the include of sys/param.h for removing path
 	name length.
	  ([freewnn:00380] by Nobuyuki Hikichi)

 	* now, generate config.h.in by autoheader using acconfig.h.
 	  ([freewnn:00290] by Shinchi Motoki)

	* include config.h only when HAVE_CONFIG_H is defined.

Sat May 19 14:16:00 JST 2001 Hiroo Ono <hiroo@oikumene.gcd.org>

	* divide and shared library patch ([freewnn:00443] by Satoshi Taoka)
	* importing
	    libltdl/aclocal.m4
            ltconfig
            ltmain.sh
	  from  libtool-1.3.5, and
	    config.guess
	    config.sub
	  from autoconf-2.13 ([freewnn:00444] by Satoshi Taoka)
        * remove configure from cvs tree.
          it can be generated by autoconf.
